Class MultipartInputProcessor

java.lang.Object
fr.metabocloud.core.implementation.utils.MultipartInputProcessor

public class MultipartInputProcessor extends Object
Class with methods to help processing multipart input sent in a request body.
Since:
1.0.0
Author:
Faustine Souc
  • Constructor Details

    • MultipartInputProcessor

      protected MultipartInputProcessor()
      Protected constructor
  • Method Details

    • findFirstIndexNonNull

      public static Integer findFirstIndexNonNull(List<Object> inputList) throws NoSuchElementException
      Give the index of the first non-null element of an object list.
      Parameters:
      inputList - A list of input
      Returns:
      The index of the first non-null object of the list.
      Throws:
      NoSuchElementException - if there is no null object in the list.
    • nullSum

      public static Integer nullSum(List<Object> inputList)
      Sum the null element of an object list.
      Parameters:
      inputList - A list of input
      Returns:
      the sum of all the null element of the list